Subject: [mobile-ip] RE: Multiple flows with single NAI

From: "Haseeb Akhtar" <[email-masked]>
Date: Thu, 10 May 2001 09:46:09 -0500

> 
> > -----Original Message-----
> > From: Madhavi Subbarao [mailto:[email-masked]]
> > Sent: Wednesday, May 09, 2001 4:48 PM
> > To: [email-masked]
> > Subject: [mobile-ip] Re: mobile-ip] Re: mobile-ip] Multiple 
> flows with
> > single NAI
> > 
> > 
> > True...every IP packet does not have an NAI.  However, the HA can
> > distinguish between different MN bindings using the tuple 
> > (NAI, IP address).  The draft we propose outlines the 
> behavior for NAI
> > and multiple STATIC IP addresses...(NAI, IP address) is used as the
> > 'identifier' at the HA.  There is no need for the HA to multicast or
> > sniff.  We are thinking of the NAI as an identifier for the USER
> > behind the device...if that makes sense.  It's analogous to what you
> > describe below as a 'subscription id', so I think we are on the same
> > page.
> > 
Agreed.

The solution, however, needs to account for the user's preference of the 
devices. For example, if the user has turned on both device A (a laptop) and
device B (a pager), the user should be able to dictate whether the data
would flow to,
 a. both devices
 b. only to device A
 c. only to device B

The HA needs to add the preference to the tuple (NAI, IP address of device, 
preference) that would decide the number of destination address (COAs) the
data packet needs to be forwarded.

> > Since NAI identifies and authenticates the USER, it shouldn't matter
> > which device the USER is coming in on.  Moreover, the USER shouldn't
> > be constrained to use only a single device.
> > 
> > -Madhavi
> 
> I can see from the email (also the title of the draft) that 
> you did put
> emphasis on STATIC IP addresses. Any reason why Dynamic IP 
> addresses were
> not considered. I think that is also one of the possible case 
> to be looked
> upon. As I think this model will fail if Dynamic addresses 
> are considered.
> Or for it to work there is additional work needed at Mobile 
> station, FA and
> HA.
> 
> - Sharma

The use of dynamic IP address would be transparent to the HA. That is,
there is no difference between using static or dynamic address.

Haseeb

---

From: Madhavi Subbarao <[email-masked]>
Date: Thu, 10 May 2001 12:14:30 -0400

Hi Haseeb,

> > > describe below as a 'subscription id', so I think we are on the same

Great...so we are in sync.

> data packet needs to be forwarded.

Interesting idea.  I was envisioning each (NAI, IP address) pair as a
separate 'flow' and thus, data would only be sent to that device.
We weren't introducing anything new to the standard, just
clarification of behavior of the different entities.  

Haseeb, have a look at our draft and let me know what you had in mind
for incorporating the preference model. It seems to me that to support
this, more than a bit flag would be needed...say you have another
device C, then more permutations are introduced.  So, we'll have to
see the tradeoff between value and complexity.

> there is no difference between using static or dynamic address.

Actually, there is a difference.  Please see my response to Sharma on
this thread.

Thanks,
Madhavi